Subject: SPA Atma Puyuan - request for urgent reply
From: [email-masked]
To: [email-masked]
Cc: 'Elyas Niroomand Toomaj' <[email-masked]>, 'Majid' <[email-masked]>
Date: Sun, 22 Oct 2023 04:46:59 -0300

Dear Majid and Elyas, 

Wish you are all well. 

I had sent the draft below on October the 10th for revision but so far I
have not received any response. 

Could you please let me know if your group is still interested in moving
ahead with the swap project? 

I will be most grateful if you could send a quick reply, just yes or no.

We have been negotiating it since the 3rd of May, which means that in a
few days it will reach 6 months, but so far we have not been able to
conclude it. 

Thanks in advance for your urgent answer. 

Kind regards, 

Roberto